%global plugin check_openmanage

%global debug_package %{nil}

Name:          nagios-plugins-openmanage
Version:       3.7.12
Release:    1%{?dist}
Summary:       Nagios plugin to monitor hardware health on Dell servers

License:       GPLv3+
URL:           http://folk.uio.no/trondham/software/%{plugin}.html
Source0:       http://folk.uio.no/trondham/software/files/%{plugin}-%{version}.tar.gz


BuildRequires: make
BuildRequires: libxslt
BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: perl-generators

Requires:      perl(Config::Tiny)
Requires:      perl(Net::SNMP)

Requires: nagios-common

Provides:      nagios-plugins-check-openmanage = %{version}-%{release}

%description
check_openmanage is a plugin for Nagios which checks the hardware
health of Dell servers running OpenManage Server Administrator
(OMSA). The plugin can be used remotely with SNMP or locally with
NRPE, check_by_ssh or similar, whichever suits your needs and
particular taste. The plugin checks the health of the storage
subsystem, power supplies, memory modules, temperature probes etc.,
and gives an alert if any of the components are faulty or operate
outside normal parameters.

%prep
%setup -q -n %{plugin}-%{version}
rm -f %{plugin}.exe

%build
pushd man
make clean && make
popd

%install
install -Dp -m 0755 %{plugin} %{buildroot}%{_libdir}/nagios/plugins/%{plugin}
install -Dp -m 0644 man/%{plugin}.8 %{buildroot}%{_mandir}/man8/%{plugin}.8
install -Dp -m 0644 man/%{plugin}.conf.5 %{buildroot}%{_mandir}/man5/%{plugin}.conf.5

%files
%license COPYING
%doc README CHANGES example.conf
%{_libdir}/nagios/plugins/%{plugin}
%{_mandir}/man8/%{plugin}.8*
%{_mandir}/man5/%{plugin}.conf.5*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.12-1
- initial build
